%global srcname elasticsearch

Summary:	Official Python client for Elasticsearch
Name:		python-elasticsearch
Version:	8.7.0
Release:	8%{?dist}
License:	ASL 2.0
URL:		https://github.com/elasticsearch/elasticsearch-py
Source0:	%{url}/archive/v%{version}/%{srcname}-py-%{version}.tar.gz

BuildRequires:	make
BuildRequires:	python3-devel python3-sphinx_rtd_theme

BuildArch:      noarch

%description
The official Python client for Elasticsearch.


%package -n python3-%{srcname}
Summary:	Python 3 Client for Elasticsearch

%description -n python3-%{srcname}
The official Python client for Elasticsearch.


%package -n python-%{srcname}-doc
Summary:    Documentation for Python Elasticsearch

%description -n python-%{srcname}-doc
Official Python client for Elasticsearch


%prep
%autosetup -n %{srcname}-py-%{version}
sed -i '/unasync/d' dev-requirements.txt

%generate_buildrequires
%pyproject_buildrequires -x extras dev-requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md CONTRIBUTING.md README.rst

%files -n python-%{srcname}-doc
%license LICENSE
%doc examples

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.7.0-8
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.7.0-7
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.7.0-6
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.7.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.7.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.7.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.7.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 8.7.0-1
- initial build
